package com.zcxk.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dao.DictMapper;
import com.zcxk.dto.DictDto;
import com.zcxk.entity.Dict;
import com.zcxk.service.DictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 数据字典(Dict)服务实现类
 *
 * @author yjy
 * @since 2020-10-26
 */
@Service("dictService")
public class DictServiceImpl implements DictService {
    @Autowired
    private DictMapper dictMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public Dict selectById(Integer id) {
        return this.dictMapper.selectById(id);
    }


    /**
     * 查询所有
     *
     * @return 实例对象的集合
     */
    @Override
    public List<Dict> selectAll() {
        return this.dictMapper.selectAll();
    }

    /**
     * 根据条件查询
     *
     * @return 实例对象的集合
     */
    @Override
    public List<Dict> selectList(Dict dict) {
        return this.dictMapper.selectList(dict);
    }

    /**
     * 新增数据
     *
     * @param dict 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(Dict dict) {
        return this.dictMapper.insert(dict);
    }

    /**
     * 批量新增
     *
     * @param dicts 实例对象的集合
     * @return 生效的条数
     */
    @Override
    public int batchInsert(List<Dict> dicts) {
        return this.dictMapper.batchInsert(dicts);
    }

    /**
     * 修改数据
     *
     * @param dict 实例对象
     * @return 实例对象
     */
    @Override
    public int update(Dict dict) {

        return this.dictMapper.update(dict);
    }

    /**
     * 通过主键删除数据
     *
     * @param ids 主键
     * @return 是否成功
     */
    @Override
    public int deleteById(Long[] ids) {
        return this.dictMapper.deleteById(ids);
    }

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    @Override
    public int count() {
        return this.dictMapper.count();
    }

    /**
     * 分页查询
     *
     * @return 对象列表
     */
    @Override
    public IPage<Dict> selectPage(Dict dict, IPage<Dict> page) {
        return this.dictMapper.selectPage(page, dict);
    }

    /**
     * 字典编码和父配置ID数量
     *
     * @return 数据总数
     */
    @Override
    public int countByCodePid(Dict dict) {
        return this.dictMapper.countByCodePid(dict);
    }

    /**
     * 查询父列表
     *
     * @return 实例对象的集合
     */
    @Override
    public List<DictDto> selectParentList(Dict dict) {
        return this.dictMapper.selectParentList(dict);
    }
}